%Ekta Gujral,Tianxiong Yang,Ravdeep Pasricha and Evangelos E. Papalexakis
%Department of Computer Science and Engineering, University of California Riverside 
%"OCTen:Online Compression-based Tensor Decomposition", Submitted in PKDD 2018
function [A,scaler]=normalizeMatrix(A,F)
scaler=zeros(F,1);
for f=1:F
    [~,idx]=max(abs(A(:,f)));
    scaler(f)=A(idx,f);
    A(:,f)=A(:,f)/A(idx,f);
    
end
end